/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.document.library.content.model.impl;

import aQute.bnd.annotation.ProviderType;

import com.liferay.document.library.content.model.DLContent;
import com.liferay.document.library.content.service.DLContentLocalServiceUtil;

/**
 * The extended model base implementation for the DLContent service. Represents a row in the &quot;DLContent&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link DLContentImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see DLContentImpl
 * @see DLContent
 * @generated
 */
@ProviderType
public abstract class DLContentBaseImpl extends DLContentModelImpl
	implements DLContent {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a document library content model instance should use the {@link DLContent} interface instead.
	 */
	@Override
	public void persist() {
		if (this.isNew()) {
			DLContentLocalServiceUtil.addDLContent(this);
		}
		else {
			DLContentLocalServiceUtil.updateDLContent(this);
		}
	}
}